"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Map package or folder name to a unique, non-spaced ID that can be used in dot file.
 */
var MapNameToId = /** @class */ (function () {
    function MapNameToId() {
        this.mapNameToId = new Map();
        // must be 1-based, since is used to get next graphviz color:
        this.nextId = 1;
    }
    MapNameToId.prototype.getId = function (name) {
        if (!this.hasId(name)) {
            this.mapNameToId.set(name, this.nextId++);
        }
        var num = this.mapNameToId.get(name);
        return "P" + num;
    };
    MapNameToId.prototype.getIdOrThrow = function (name) {
        if (!this.hasId(name)) {
            throw new Error("cannot find name in map: '" + name + "'");
        }
        return this.getId(name);
    };
    MapNameToId.prototype.getNumberOrThrow = function (name) {
        if (!this.hasId(name)) {
            throw new Error("cannot find name in map: '" + name + "'");
        }
        return this.mapNameToId.get(name);
    };
    MapNameToId.prototype.hasId = function (name) {
        return this.mapNameToId.has(name);
    };
    return MapNameToId;
}());
exports.MapNameToId = MapNameToId;
//# sourceMappingURL=MapNameToId.js.map