"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var DocGeneratorBase_1 = require("../shared/DocGeneratorBase");
var SECTION_SEPARATOR = "_____";
var TextDocGenerator = /** @class */ (function (_super) {
    __extends(TextDocGenerator, _super);
    function TextDocGenerator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TextDocGenerator.prototype.generateDoc = function (packageConfig) {
        var _this = this;
        this.outputter.outputLine(SECTION_SEPARATOR);
        packageConfig.checkImportsBetweenPackages.packages
            .filter(function (pkg) { return !pkg.isExternal && _this.filter.isImportPathOkForFolderWithWhitelist(pkg); })
            .forEach(function (pkg) {
            var packageName = pkg.importPath;
            _this.outputter.outputLine(packageName + " - " + pkg.description);
            _this.outputter.increaseIndent();
            _this.outputAllowedImports(pkg);
            _this.outputSubFolders(pkg.subFolders.filter(function (sub) { return _this.filter.isImportPathOkForSubFolder(sub); }));
            _this.outputter.decreaseIndent();
        });
        this.outputter.outputLine(SECTION_SEPARATOR);
    };
    TextDocGenerator.prototype.outputAllowedImports = function (pkg) {
        var allowedToImport = this.outputAllowedToImport(pkg.allowedToImport);
        this.outputter.outputLine("--> " + allowedToImport);
    };
    TextDocGenerator.prototype.outputAllowedToImport = function (allowed) {
        if (allowed.some(function (value) { return value === "*"; })) {
            return "(any)";
        }
        return allowed.length > 0 ? "" + allowed.join(", ") : "(none)";
    };
    TextDocGenerator.prototype.outputSubFolders = function (subFolders) {
        var _this = this;
        if (subFolders.length === 0) {
            this.outputter.outputLine("");
            return;
        }
        this.outputter.increaseIndent();
        this.outputter.outputLine("folders:");
        this.outputter.increaseIndent();
        subFolders.forEach(function (folder) {
            _this.outputter.outputLine(folder.importPath + " - " + folder.description);
            var allowedToImport = _this.outputAllowedToImport(folder.allowedToImport);
            _this.outputter.increaseIndent();
            _this.outputter.outputLine("--> " + allowedToImport);
            _this.outputter.decreaseIndent();
            _this.outputter.outputLine("");
        });
        this.outputter.decreaseIndent();
        this.outputter.decreaseIndent();
    };
    return TextDocGenerator;
}(DocGeneratorBase_1.DocGeneratorBase));
exports.TextDocGenerator = TextDocGenerator;
//# sourceMappingURL=TextDocGenerator.js.map