"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Edge = /** @class */ (function () {
    function Edge(origin, destination) {
        this.origin = origin;
        this.destination = destination;
    }
    Edge.create = function (origin, destination) {
        var edge = new Edge(origin, destination);
        origin.outgoingEdges.push(edge);
        destination.incomingEdges.push(edge);
    };
    Object.defineProperty(Edge.prototype, "id", {
        get: function () {
            return this.origin.id + "->" + this.destination.id;
        },
        enumerable: true,
        configurable: true
    });
    Edge.prototype.remove = function () {
        this.origin.removeOutgoingEdge(this);
        this.destination.removeIncomingEdge(this);
    };
    return Edge;
}());
exports.Edge = Edge;
//# sourceMappingURL=Edge.js.map