"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ArrayUtils_1 = require("../utils/ArrayUtils");
var GraphNode_1 = require("./GraphNode");
var ClusterType;
(function (ClusterType) {
    ClusterType[ClusterType["Root"] = 0] = "Root";
    ClusterType[ClusterType["TopLevel"] = 1] = "TopLevel";
    ClusterType[ClusterType["AreaWithSubFolders"] = 2] = "AreaWithSubFolders";
    ClusterType[ClusterType["FromOptimization"] = 3] = "FromOptimization";
    // from the tslint.json file 'diagramCluster':
    ClusterType[ClusterType["DiagramCluster"] = 4] = "DiagramCluster";
})(ClusterType = exports.ClusterType || (exports.ClusterType = {}));
var GraphCluster = /** @class */ (function (_super) {
    __extends(GraphCluster, _super);
    function GraphCluster() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.nodes = [];
        _this.clusterType = ClusterType.TopLevel;
        return _this;
    }
    GraphCluster.create = function (parent, numericId, name, description, clusterType) {
        var cluster = new GraphCluster(parent, "C" + numericId, name, description);
        cluster.clusterType = clusterType;
        return cluster;
    };
    GraphCluster.prototype.removeNode = function (node) {
        ArrayUtils_1.ArrayUtils.removeFrom(this.nodes, node);
    };
    return GraphCluster;
}(GraphNode_1.GraphNode));
exports.GraphCluster = GraphCluster;
//# sourceMappingURL=GraphCluster.js.map