"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ArrayUtils_1 = require("../utils/ArrayUtils");
var NodeType;
(function (NodeType) {
    NodeType[NodeType["Normal"] = 0] = "Normal";
    NodeType[NodeType["External"] = 1] = "External";
    // The 'any' (*) package or folder:
    NodeType[NodeType["Any"] = 2] = "Any";
})(NodeType = exports.NodeType || (exports.NodeType = {}));
var GraphNode = /** @class */ (function () {
    function GraphNode(parent, id, name, description, nodeType) {
        if (description === void 0) { description = ""; }
        if (nodeType === void 0) { nodeType = NodeType.Normal; }
        this.parent = parent;
        this.id = id;
        this.name = name;
        this.description = description;
        this.nodeType = nodeType;
        this.incomingEdges = [];
        this.outgoingEdges = [];
    }
    GraphNode.prototype.removeIncomingEdge = function (edge) {
        ArrayUtils_1.ArrayUtils.removeFrom(this.incomingEdges, edge);
    };
    GraphNode.prototype.removeOutgoingEdge = function (edge) {
        ArrayUtils_1.ArrayUtils.removeFrom(this.outgoingEdges, edge);
    };
    return GraphNode;
}());
exports.GraphNode = GraphNode;
//# sourceMappingURL=GraphNode.js.map