"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GraphCluster_1 = require("../GraphCluster");
var VisitedIdTracker_1 = require("./VisitedIdTracker");
var GraphVisitor = /** @class */ (function () {
    function GraphVisitor(root) {
        this.root = root;
        this.visited = new VisitedIdTracker_1.VisitedIdTracker();
    }
    GraphVisitor.prototype.visitEdges = function (visit) {
        var allEdges = [];
        var visitedEdges = new VisitedIdTracker_1.VisitedIdTracker();
        var addNodeEdges = function (node) {
            node.incomingEdges.forEach(function (edge) {
                if (!visitedEdges.isVisitedOrAdd(edge.id)) {
                    allEdges.push(edge);
                }
            });
            node.outgoingEdges.forEach(function (edge) {
                if (!visitedEdges.isVisitedOrAdd(edge.id)) {
                    allEdges.push(edge);
                }
            });
        };
        this.visitNodesAndClusters(addNodeEdges);
        allEdges.map(visit);
    };
    GraphVisitor.prototype.visitNodesAndClusters = function (visit) {
        var _this = this;
        var visitNode = function (node) {
            if (_this.visited.isVisitedOrAdd(node.id)) {
                return;
            }
            visit(node);
            if (node instanceof GraphCluster_1.GraphCluster) {
                node.nodes.map(visitNode);
            }
        };
        visitNode(this.root);
    };
    return GraphVisitor;
}());
exports.GraphVisitor = GraphVisitor;
//# sourceMappingURL=GraphVisitor.js.map