"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MapIdToGraphNode = /** @class */ (function () {
    function MapIdToGraphNode() {
        this.mapIdToNode = new Map();
    }
    MapIdToGraphNode.prototype.add = function (node) {
        var id = node.id;
        if (this.mapIdToNode.has(id)) {
            throw new Error("already have an entry for id " + id);
        }
        this.mapIdToNode.set(id, node);
    };
    MapIdToGraphNode.prototype.getByIdOrThrow = function (id) {
        if (!this.mapIdToNode.has(id)) {
            throw new Error("id " + id + " not found in graph map!");
        }
        return this.mapIdToNode.get(id);
    };
    return MapIdToGraphNode;
}());
exports.MapIdToGraphNode = MapIdToGraphNode;
//# sourceMappingURL=MapIdToGraphNode.js.map