"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Track visited IDs to avoid circular references causing an infinite loop!
 */
var VisitedIdTracker = /** @class */ (function () {
    function VisitedIdTracker() {
        this.visitedIds = new Map();
    }
    VisitedIdTracker.prototype.isVisitedOrAdd = function (id) {
        if (this.visitedIds.has(id)) {
            return true;
        }
        this.visitedIds.set(id, true);
        return false;
    };
    return VisitedIdTracker;
}());
exports.VisitedIdTracker = VisitedIdTracker;
//# sourceMappingURL=VisitedIdTracker.js.map