"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DocGeneratorFactory_1 = require("./generators/DocGeneratorFactory");
var OutputterFactory_1 = require("./outputters/OutputterFactory");
var ArgsParser_1 = require("./utils/ArgsParser");
var TslintConfigLoader_1 = require("./utils/TslintConfigLoader");
var UsageText_1 = require("./utils/UsageText");
function main() {
    var config = ArgsParser_1.ArgsParser.getConfigFromArgs();
    if (!config) {
        UsageText_1.UsageText.showUsage();
        return;
    }
    var outputter = OutputterFactory_1.OutputterFactory.create(config);
    var generator = DocGeneratorFactory_1.DocGeneratorFactory.create(config, outputter);
    TslintConfigLoader_1.TslintConfigLoader.loadTslintConfig(config).then(function (packageConfig) {
        generator.generateDoc(packageConfig);
    });
}
main();
//# sourceMappingURL=index.js.map