"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var OutputterBase_1 = require("./OutputterBase");
var NEW_LINE = "\n";
var FileOutputter = /** @class */ (function (_super) {
    __extends(FileOutputter, _super);
    function FileOutputter(outpath) {
        var _this = _super.call(this) || this;
        _this.outpath = outpath;
        _this.firstWrite = true;
        return _this;
    }
    /**
     * Write to file as soon as possible (in case debugging)
     *
     * note: node 'fs.sync' is not really sync writing
     * ref: https://www.daveeddy.com/2013/03/26/synchronous-file-io-in-nodejs/
     * but it simplifies the API here
     */
    FileOutputter.prototype.writeLine = function (text) {
        var line = text + NEW_LINE;
        if (fs.existsSync(this.outpath) && !this.firstWrite) {
            fs.appendFileSync(this.outpath, line);
        }
        else {
            fs.writeFileSync(this.outpath, line, "utf8");
        }
        this.firstWrite = false;
    };
    return FileOutputter;
}(OutputterBase_1.OutputterBase));
exports.FileOutputter = FileOutputter;
//# sourceMappingURL=FileOutputter.js.map