"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SPACES_PER_TAB = 2;
var OutputterBase = /** @class */ (function () {
    function OutputterBase() {
        this.indent = 0;
    }
    OutputterBase.prototype.decreaseIndent = function () {
        this.indent--;
        if (this.indent < 0) {
            throw new Error("indent would be negative!");
        }
    };
    OutputterBase.prototype.increaseIndent = function () {
        this.indent++;
    };
    OutputterBase.prototype.outputLine = function (text) {
        var indentText = " ".repeat(this.indent * SPACES_PER_TAB);
        this.writeLine("" + indentText + text);
    };
    OutputterBase.prototype.outputLines = function (lines) {
        var _this = this;
        lines.forEach(function (line) { return _this.outputLine(line); });
    };
    return OutputterBase;
}());
exports.OutputterBase = OutputterBase;
//# sourceMappingURL=OutputterBase.js.map