"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConsoleOutputter_1 = require("./ConsoleOutputter");
var FileOutputter_1 = require("./FileOutputter");
var OutputterFactory;
(function (OutputterFactory) {
    function create(config) {
        if (config.outpath.length > 0) {
            return new FileOutputter_1.FileOutputter(config.outpath);
        }
        return new ConsoleOutputter_1.ConsoleOutputter();
    }
    OutputterFactory.create = create;
})(OutputterFactory = exports.OutputterFactory || (exports.OutputterFactory = {}));
//# sourceMappingURL=OutputterFactory.js.map