"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var tslint_folders_1 = require("tslint-folders");
var TslintConfigLoader;
(function (TslintConfigLoader) {
    function loadTslintConfig(config) {
        return new Promise(function (resolve, reject) {
            fs.readFile(config.pathToTslintJson, "utf8", function (err, data) {
                if (err) {
                    reject(err);
                }
                else {
                    var json = JSON.parse(data);
                    var packageConfigJson = json.rules["tsf-folders-imports-between-packages"][1];
                    var packageConfig = tslint_folders_1.ConfigFactory.createForBetweenPackages([
                        packageConfigJson
                    ]);
                    resolve(packageConfig);
                }
            });
        });
    }
    TslintConfigLoader.loadTslintConfig = loadTslintConfig;
})(TslintConfigLoader = exports.TslintConfigLoader || (exports.TslintConfigLoader = {}));
//# sourceMappingURL=TslintConfigLoader.js.map