import { ImportsBetweenPackagesRuleConfig } from "tslint-folders";
import { DocConfig } from "../Config";
import { PackageFilter } from "../utils/PackageFilter";
import { GraphCluster } from "./GraphCluster";
/**
 * Generate a graph that represents the structure described in the tslint config.
 *
 * The graph can then be optimized before rendering (mainly to reduce the number of edges).
 *
 * note: the graph could contain circular references!
 */
export declare class GraphGenerator {
    private config;
    private filter;
    private containerId;
    private mapNameToId;
    private mapIdToNode;
    private root;
    constructor(config: DocConfig, filter: PackageFilter);
    generateGraph(packageConfig: ImportsBetweenPackagesRuleConfig): GraphCluster;
    private checkIfNeedsAnyPackage;
    private generateNodesFromPackages;
    private generateNodeFromPackage;
    private getNodeType;
    private getNodeTypeForSubFolder;
    /**
     * process the sub-folders of a package as a separate graph cluster.
     *
     * Else, the graph is too hard to read.
     */
    private processPackageSubFolders;
    private generateNode;
    private getPackageIdKey;
    private processEdges;
    private getAnyPackageId;
    private createAnyPackage;
    private createAnySubPackage;
    private processEdgesForPackageNames;
    private generateSubFolders;
}
