import { Edge } from "./Edge";
import { IEdge } from "./IEdge";
import { IGraphCluster } from "./IGraphCluster";
import { IGraphNode } from "./IGraphNode";
export declare enum NodeType {
    Normal = 0,
    External = 1,
    Any = 2
}
export declare class GraphNode implements IGraphNode {
    parent: IGraphCluster | null;
    readonly id: string;
    readonly name: string;
    readonly description: string;
    readonly nodeType: NodeType;
    readonly incomingEdges: Edge[];
    readonly outgoingEdges: Edge[];
    constructor(parent: IGraphCluster | null, id: string, name: string, description?: string, nodeType?: NodeType);
    removeIncomingEdge(edge: IEdge): void;
    removeOutgoingEdge(edge: IEdge): void;
}
