import { GraphCluster } from "../GraphCluster";
/**
 * Optimize the given graph, to reduce the number of edges so that it is more readable.
 *
 * Algorithm:
 *
 * [done] 1a. all nodes with same set of incoming edges -> place in an 'optimization' cluster, and replace those edges with 1 edge to the cluster
 * 1b. edges with same origin, and destinations are all in same *optimization* cluster -> replace with 1 edge to that cluster
 * [done] 1c. edges with same destination, and origins are all in same *optimization* cluster -> replace with 1 edge from that cluster
 * (future) could detect nodes with *mostly* same incoming edges -> place in cluster, and replace *some* edges
 * (alt option) nodes in same cluster as 'records' (just a rendering option?)
 */
export declare class GraphOptimizer {
    private containerId;
    optimize(root: GraphCluster): void;
    private optimizeNodesWithSameIncomings;
    private populateMaps;
    private optimizeNodesWithSameIncomingsForCluster;
    private optimizeEdgesWithOriginsInSameCluster;
}
